const { apply_status } = require('../../utils/dict');
const app = getApp();
Page({

   /**
    * 页面的初始数据
    */
   data: {
      frameStyle: { useTop: true, name: '采购申请审核', leftArrow: true, useBar: false },
      // 主体高度
      infoHeight: '',
      // 采购申请审核
      list: [
         { id: '001', user_name: '法外狂徒张三', user_phone: '12345678901', examine_name: '李四', examine_date: '111', status_name: '待审', status: '0', examine_desc: '我想不同意，但我还是同意了', order: [{ name: '小洋人', num: '121', desc: '别卖太便宜了，赔钱' }], },
         { id: '002', user_name: '小红帽', user_phone: '98765432109', examine_date: '222', examine_name: '赵五', status_name: '待审', status: '0', examine_desc: '我想不同意，但我还是同意了', order: [{ name: '小洋人', num: '121', desc: '别卖太便宜了，赔钱' }], }
      ],
      // 弹框
      dialog: { title: '详细信息', show: false, type: '1' },
      // 详细信息
      info: {},
      // 审核
      checkForm: { examine_name: '李四' },
      // 导出条件
      exportForm: {},
      // 商品状态
      statusList: apply_status
   },
   back: function () {
      wx.navigateBack({ url: '/pages/home/index' })
   },
   // 导出条件
   export_term: function () {
      this.setData({ dialog: { title: '导出条件', show: true, type: '3' }, })
   },
   // 选择状态
   statusChange: function (e) {
      let { value } = e.detail;
      if (value) {
         let data = this.data.statusList[value];
         this.setData({ 'exportForm.status': data.value })
      }
   },
   // 开始时间
   startChange: function (e) {
      let { value } = e.detail;
      this.setData({ 'exportForm.apply_date@start': value })
   },
   // 结束时间
   endChange: function (e) {
      let { value } = e.detail;
      this.setData({ 'exportForm.apply_date@end': value })
   },
   // 重置条件
   expertReset: function (e) {
      this.setData({ exportForm: { user_name: '', status: '' } })
   },
   // 确认导出
   exportSubmit: function (e) {
      wx.showModal({
         title: '是否确认导出',
         success: (res) => {
            if (res.confirm) wx.showToast({ title: `操作成功`, icon: 'success', duration: 2000 })
            else if (res.cancel) { }
         }
      })
   },
   // 采购申请审核
   toCheck: function (e) {
      this.setData({ dialog: { title: '采购申请审核', show: true, type: '2' } })
   },
   // 提交审核
   checkSubmit: function (e) {
      wx.showToast({ title: `审核信息成功`, icon: 'success', duration: 2000 });
      this.setData({ dialog: { title: '详细信息', show: false, type: '1' } })
   },
   // 详细信息
   toView: function (e) {
      let item = e.currentTarget.dataset.item;
      this.setData({ info: item })
      this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
   },
   // 查询
   shoppinginput: function (e) {
      this.setData({ shoopingtext: e.detail.value })
   },
   /**
    * 生命周期函数--监听页面加载
    */
   onLoad: function (options) {
      // 计算高度
      this.searchHeight();
   },
   // 计算高度
   searchHeight: function () {
      let frameStyle = this.data.frameStyle;
      let client = app.globalData.client;
      // 减去状态栏
      let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
      // 是否减去底部菜单
      if (frameStyle.useBar) infoHeight = infoHeight - 50;
      if (infoHeight) this.setData({ infoHeight: infoHeight })
   },

   /**
    * 生命周期函数--监听页面初次渲染完成
    */
   onReady: function () {

   },

   /**
    * 生命周期函数--监听页面显示
    */
   onShow: function () {
      this.search();
   },

   /**
    * 生命周期函数--监听页面隐藏
    */
   onHide: function () {

   },

   /**
    * 生命周期函数--监听页面卸载
    */
   onUnload: function () {

   },

   /**
    * 页面相关事件处理函数--监听用户下拉动作
    */
   onPullDownRefresh: function () {

   },

   /**
    * 页面上拉触底事件的处理函数
    */
   onReachBottom: function () {

   },

   /**
    * 用户点击右上角分享
    */
   onShareAppMessage: function () {

   }
})