// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '基本信息', leftArrow: true, useBar: false },
        // 主体高度
        infoHeight: '',
        form: {}
    },
    initValidate() {
        const rules = { name: { required: true, }, phone: { required: true, tel: true }, email: { required: true, }, address: { required: true, }, dept: { required: true, }, zw: { required: true, }, company: { required: true, } }
        // 验证字段的提示信息，若不传则调用默认的信息
        const messages = { name: { required: '请输入姓名', }, phone: { required: '请输入电话', }, email: { required: '请输入电子邮箱', }, address: { required: '请输入联系地址', }, dept: { required: '请输入部门', }, zw: { required: '请输入职务', }, company: { required: '请输入工作单位', } };
        this.WxValidate = new WxValidate(rules, messages)
    },
    back: function () {
        wx.navigateBack({ url: '/pages/home/index' })
    },
    // 取消修改
    onReset: function () {
        this.back()
    },
    // 提交修改
    onSubmit: function (e) {
        const params = e.detail.value;
        if (!this.WxValidate.checkForm(params)) {
            const error = this.WxValidate.errorList[0];
            wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
            return false
        } else {
            console.log(params);
            // wx.request({
            //     url: app.globalData.publicUrl + `/api/hc/user/update/${this.data.form.id}`,
            //     method: "post",
            //     data: { ...params },
            //     header: {},
            //     success: (res) => {
            //         if (res.data.errcode == '0') {
            //             wx.showToast({ title: `信息修改完成`, icon: 'success', duration: 2000 })
            //             wx.setStorage({ key: "user", data: res.data.data });
            //             app.globalData.userInfo = res.data.data;
            //             wx.navigateTo({ url: '/pages/home/index' })
            //         } else {
            //             wx.showToast({ title: `${res.data.errmsg}`, icon: 'error', duration: 2000 })
            //         }
            //     },
            // })
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        //验证规则函数
        this.initValidate();
        // 监听用户是否登录
        this.watchLogin();
        // 计算高度
        this.searchHeight()
    },
    // 监听用户是否登录
    watchLogin: function () {
        wx.getStorage({
            key: 'user',
            success: res => {
                console.log(res);
            }
        })

    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})