// pages/market/index.js
const app = getApp();
Page({

   /**
    * 页面的初始数据
    */
   data: {
      frameStyle: { useTop: true, name: '商品管理', leftArrow: true, useBar: false },
      // 主体高度
      infoHeight: '',
      // 商品列表
      list: [
         { name: '喜羊羊', type_name: '羊肉', money: '22', status: '1', brief: '一份' },
         { name: '喜羊羊', type_name: '羊肉', money: '22', status: '0', brief: '一份' },
         { name: '喜羊羊', type_name: '羊肉', money: '22', status: '1', brief: '一份' },
      ],
      // 弹框
      dialog: { title: '详细信息', show: false, type: '1' },
      // 详细信息
      info: {},
   },
   back: function () {
      wx.navigateBack({ url: '/pages/home/index' })
   },
   // 添加采购申请
   toAdd: function () {
      wx.navigateTo({ url: `/pages/market/detail` })
   },
   // 详细信息
   toView: function (e) {
      let item = e.currentTarget.dataset.item;
      this.setData({ info: item })
      this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
   },
   // 上架，下架
   toCheck: function (e) {
      wx.showModal({
         title: '操作提示',
         content: '您确认上架/下架此产品吗？',
         success: (res) => {
            if (res.confirm) wx.showToast({ title: `操作成功`, icon: 'success', duration: 2000 })
            else if (res.cancel) { }
         }
      })
   },
   /**
    * 生命周期函数--监听页面加载
    */
   onLoad: function (options) {
      // 计算高度
      this.searchHeight();
   },
   // 计算高度
   searchHeight: function () {
      let frameStyle = this.data.frameStyle;
      let client = app.globalData.client;
      // 减去状态栏
      let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
      // 是否减去底部菜单
      if (frameStyle.useBar) infoHeight = infoHeight - 50;
      if (infoHeight) this.setData({ infoHeight: infoHeight })
   },

   /**
    * 生命周期函数--监听页面初次渲染完成
    */
   onReady: function () {

   },

   /**
    * 生命周期函数--监听页面显示
    */
   onShow: function () {
      this.onLoad()
   },

   /**
    * 生命周期函数--监听页面隐藏
    */
   onHide: function () {

   },

   /**
    * 生命周期函数--监听页面卸载
    */
   onUnload: function () {

   },

   /**
    * 页面相关事件处理函数--监听用户下拉动作
    */
   onPullDownRefresh: function () {

   },

   /**
    * 页面上拉触底事件的处理函数
    */
   onReachBottom: function () {

   },

   /**
    * 用户点击右上角分享
    */
   onShareAppMessage: function () {

   }
})