// pages/market_buy/index.js
const { buy_status } = require('../../utils/dict');
const app = getApp();
Page({

   /**
    * 页面的初始数据
    */
   data: {
      frameStyle: { useTop: true, name: '采买需求信息', leftArrow: true, useBar: false },
      // 主体高度
      infoHeight: '',
      // 采买列表
      list: [{ order_num: 'Hgj4757945hdFueu', receive_user_name: '胡图图', mech_name: '翻斗幼儿园-小豆班', status_name: '待供货单位确认', status: '1', user_name: '采购人员', user_phone: '12345678901', money: '3344', receive_user_phone: '98765432109', receive_address: '翻斗大街翻斗花园2号楼1001室', order: [{ name: '小洋人', num: '123', money: '3000' }, { name: '娃哈哈', num: '123', money: '344' }] }],
      // 弹框
      dialog: { title: '详细信息', show: false, type: '1' },
      // 详细信息
      info: {},
      // 导出条件
      exportForm: {},
      // 商品状态
      statusList: buy_status
   },
   back: function () {
      wx.navigateBack({ url: '/pages/home/index' })
   },
   // 导出条件
   export_term: function () {
      this.setData({ dialog: { title: '导出条件', show: true, type: '2' }, })
   },
   // 选择状态
   statusChange: function (e) {
      let { value } = e.detail;
      if (value) {
         let data = this.data.statusList[value];
         this.setData({ 'exportForm.status': data.value })
      }
   },
   // 开始时间
   startChange: function (e) {
      let { value } = e.detail;
      this.setData({ 'exportForm.apply_date@start': value })
   },
   // 结束时间
   endChange: function (e) {
      let { value } = e.detail;
      this.setData({ 'exportForm.apply_date@end': value })
   },
   // 重置条件
   expertReset: function (e) {
      this.setData({ exportForm: { user_name: '', mech_name: '', receive_user_name: '', status: null } })
   },
   // 确认导出
   exportSubmit: function (e) {
      console.log(e.detail.value);
      console.log('打开文档成功')
   },
   // 添加采购申请
   toAdd: function () {
      wx.navigateTo({ url: `/pages/market_buy/detail` })
   },
   // 详细信息
   toView: function (e) {
      let item = e.currentTarget.dataset.item;
      this.setData({ info: item })
      this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
   },
   // 订单签收
   toSign: function (e) {
      wx.showModal({
         title: '是否确认签收订单',
         success(res) {
            if (res.confirm) {
               wx.showToast({ title: `订单签收完成`, icon: 'success', duration: 2000 })
            } else if (res.cancel) {
            }
         }
      })
   },
   /**
    * 生命周期函数--监听页面加载
    */
   onLoad: function (options) {
      // 计算高度
      this.searchHeight();
   },
   search: function (data) {

   },
   // 计算高度
   searchHeight: function () {
      let frameStyle = this.data.frameStyle;
      let client = app.globalData.client;
      // 减去状态栏
      let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
      // 是否减去底部菜单
      if (frameStyle.useBar) infoHeight = infoHeight - 50;
      if (infoHeight) this.setData({ infoHeight: infoHeight })
   },

   /**
    * 生命周期函数--监听页面初次渲染完成
    */
   onReady: function () {

   },

   /**
    * 生命周期函数--监听页面显示
    */
   onShow: function () {
      this.search();
   },

   /**
    * 生命周期函数--监听页面隐藏
    */
   onHide: function () {

   },

   /**
    * 生命周期函数--监听页面卸载
    */
   onUnload: function () {

   },

   /**
    * 页面相关事件处理函数--监听用户下拉动作
    */
   onPullDownRefresh: function () {

   },

   /**
    * 页面上拉触底事件的处理函数
    */
   onReachBottom: function () {

   },

   /**
    * 用户点击右上角分享
    */
   onShareAppMessage: function () {

   }
})