// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '用户管理', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    // 信息列表
    list: [{ id: '1234567', name: '测试人员', phone: '12345678901', email: '123456@qq.com' }],
    // 弹框
    dialog: { title: '详细信息', show: false, type: '1' },
    // 详细信息
    info: { id: '1234567', name: '测试人员', phone: '12345678901', email: '123456@qq.com', address: '1', dept: '1', zw: '1', company: '1', type: '超级管理员' },
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  // 添加用户
  toAdd: function () {
    wx.navigateTo({ url: '/pages/user/detail' })
  },
  // 详细信息
  toView: function (e) {
    this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
  },
  // 信息变更
  toEdit: function (e) {
    const { id } = e.currentTarget.dataset;
    wx.navigateTo({ url: `/pages/user/detail?id=${id}` })
  },
  // 密码重置
  toReset: function (e) {
    wx.showToast({ title: `密码重置`, icon: 'error', duration: 1000 })
  },

  // 刪除信息
  toDel: function (e) {
    wx.showToast({ title: `刪除信息`, icon: 'error', duration: 1000 })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})